Validate ImmiCard
Request
Method: POST
URL: https://{{environment}}.ridx.io/dvs/v1/immiCard
Headers
| Header | Value |
|---|---|
token |
{{access_token}} |
Content-Type |
application/json |
Request Body
| Property | Type | Description |
|---|---|---|
BirthDate |
String | Birth date of citizen, format: YYYY-MM-DD OR YYYY-MM OR YYYY |
GivenName |
String | First name of citizen, max 49 characters |
MiddleName |
String | Optional. Middle name of citizen, max 49 characters |
FamilyName |
String | Last name of citizen, max 49 characters |
ImmiCardNumber |
String | ImmiCard number, min 9 characters |
Important Response Data
| Property | Type | Description |
|---|---|---|
VerifyDocumentResult |
Object | The object containing the reply |
VerificationResultCode |
String | A value of Y (Yes), N (No), D (Document Error), S (Server Error) |
VerificationRequestNumber |
String | A receipt number of the request created by RapidID |
OriginatingAgencyCode |
String | A code representing the customers unique identifier code |
ActivityId |
String | A activity process id |
attributes |
Object | An object containing the description on the response |
i:type |
String | A description on the request response |
Errors |
Object | This object is returned only when VerificationResultCode value is N (No).This object provides greater insight into why the request did not match the data held by the issuer |
Error |
Object | This object contains fields such as Field, Message and Source with a description on the error response |
Example Requests
Example Responses
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ImmiCardResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "Y"
},
"fieldDetails": {
"GivenName": "Full Match",
"FamilyName": "Full Match",
"BirthDate": "Full Match",
"BirthDay": "Full Match",
"BirthMonth": "Full Match",
"BirthYear": "Full Match",
"ImmiCardNumber": "Full Match",
"RegistrationState": "Full Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ImmiCardResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "N"
},
"fieldDetails": {
"GivenName": "No Match",
"FamilyName": "No Match",
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"ImmiCardNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ImmiCardResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "D"
},
"fieldDetails": {
"GivenName": "No Match",
"FamilyName": "No Match",
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"ImmiCardNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ImmiCardResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "S"
},
"fieldDetails": {
"GivenName": "No Match",
"FamilyName": "No Match",
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"ImmiCardNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}
Status: 400 Bad Request
Status: 200 OK
{
"VerifyDocumentResult": {
"attributes": {
"i:type": "ImmiCardResponse"
},
"ActivityId": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"OriginatingAgencyCode": "XXXX",
"VerificationRequestNumber": "XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",
"VerificationResultCode": "N",
"Errors": {
"Error": {
"Field": "ImmiCardNumber",
"Message": "Travel document could not be found.",
"Source": "Issuer"
}
}
},
"fieldDetails": {
"GivenName": "No Match",
"FamilyName": "No Match",
"BirthDate": "No Match",
"BirthDay": "No Match",
"BirthMonth": "No Match",
"BirthYear": "No Match",
"ImmiCardNumber": "No Match",
"RegistrationState": "No Match"
},
"rapidID": "check-id"
}